> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# addStateW4Information

> 
The `addStateW4Information` API is used to collect state-specific tax withholding information for employees in states that require additional withholding forms.

To retreive the **state specific W4 fields** use 'getStateW4FormFields` with the userId

### What it does:

- Collects state-specific withholding data
- Ensures compliance with state tax regulations

### Note:

- This step is only required for employees in states with their own W-4 forms. Skip this step if the employee's state doesn't require additional withholding information.



## OpenAPI

````yaml post /userOnboarding/addStateW4Information
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /userOnboarding/addStateW4Information:
    post:
      tags: []
      summary: addStateW4Information
      description: >-

        The `addStateW4Information` API is used to collect state-specific tax
        withholding information for employees in states that require additional
        withholding forms.


        To retreive the **state specific W4 fields** use 'getStateW4FormFields`
        with the userId


        ### What it does:


        - Collects state-specific withholding data

        - Ensures compliance with state tax regulations


        ### Note:


        - This step is only required for employees in states with their own W-4
        forms. Skip this step if the employee's state doesn't require additional
        withholding information.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: addStateW4Information
                  example: addStateW4Information
                employeeId:
                  type: string
                stateW4Information:
                  type: object
                  properties:
                    Additional Withholding:
                      type: string
                  required:
                    - Additional Withholding
              required:
                - method
                - employeeId
                - stateW4Information
            example:
              method: addStateW4Information
              employeeId: A31A0E84-3643-405A-B0E4-D229D0A194FB
              stateW4Information:
                Filing Status: Married
                Withholding Allowance: '10'
                Additional Withholding: '10.10'
                NYC Withholding Allowance: '20'
                NYC Additional Withholding: '14.00'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  stateW4Information:
                    type: object
                    properties:
                      status:
                        type: string
                      message:
                        type: string
                    required:
                      - status
                      - message
                required:
                  - stateW4Information
              examples:
                '1':
                  summary: Success
                  value:
                    stateW4Information:
                      status: Ready
                      message: >-
                        The StateW4Information for Steve  Jobs has been saved
                        successfully.
                '2':
                  summary: Exception
                  value:
                    error:
                      code: 400
                      message: EmployeeId is mandatory and cannot be empty.
          headers: {}
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: array
                    items:
                      type: object
                      properties:
                        code:
                          type: integer
                        message:
                          type: string
                      required:
                        - code
                required:
                  - error
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````